[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.ExchangeColRow

Swaps the columns or rows at the specified positions.

## Declaration

Source position: valedit.pas line 190

`public procedure TValueListEditor.ExchangeColRow(`
`IsColumn: Boolean;`
`index: Integer;`
`WithIndex: Integer`
`); override;`

## Arguments

`IsColumn` |  | False when exchanging row values.
`index` |  | Position for one of the exchanged values.
`WithIndex` |  | Position for one of the exchanged values.

## Description

ExchangeColRow is an overridden procedure used to swap the columns or rows at the specified positions in the control.

IsColumn indicates if the exchanged values are in a column or in a row in the control. The two-column layout in TValueListEditor prevents exchanging column values. When IsColumn is True, an EGridException exception is raised with the message in rsVLEInvalidRowColOperation.

When IsColumn is False, the inherited ExchangeColRow method is called using Index and WithIndex as arguments.

## Errors

An EGridException exception is raised with the message in rsVLEInvalidRowColOperation when trying to exchange column values in the control.